package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.MetroStation;


/**
*  service接口类
*/
public interface MetroStationService{

    List<MetroStation> getMetroStationList(MetroStation record);

    List<MetroStation> getMetroStationByPage(Page page, MetroStation record);

    MetroStation getMetroStationById(String id);

    MetroStation getMetroStation(MetroStation record);

    boolean createMetroStation(MetroStation record);

    boolean deleteMetroStation(String id);

    boolean updateMetroStation(MetroStation record);
}

